Referência da APIPedidos
Listar pedidos
Lista paginada, mais recentes primeiro. Filtre por status e/ou cliente.
Authorization
ApiKey AuthorizationBearer <token>
Chave de API no formato ong_sk_...
In: header
Path Parameters
agencyId*unknown
Agência dentro do escopo da chave
Format
uuidQuery Parameters
page?integer
Página a retornar (começa em 1).
Range
1 <= valueDefault
1limit?integer
Itens por página (máximo 100).
Range
1 <= value <= 100Default
50status?string
Filtra por status do pedido.
Value in
- "pending_activation"
- "activated"
- "activation_failed"
- "cancelled"
customerId?string
Filtra pelos pedidos de um cliente.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/{agencyId}/orders"{ "data": [ { "id": "9b2e6c1a-4f83-4d2b-8a71-2c9e5f0a1b34", "code": "string", "status": "string", "price": "149.90", "currency": "BRL", "travelDate": "2019-08-24", "customer": { "id": "9b2e6c1a-4f83-4d2b-8a71-2c9e5f0a1b34", "fullName": "string" }, "planName": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "total": 1, "page": 1, "limit": 50}{ "statusCode": 404, "message": "Pedido não encontrado", "error": "Not Found"}{ "statusCode": 404, "message": "Pedido não encontrado", "error": "Not Found"}